# Live Events Endpoint

## **Endpoint URLs**

| `https://dde-api.data.imgarena.com/mma/fightcards/liveevents` |
| ------------------------------------------------------------- |

This endpoint returns live fights with the status InProgress, no other statuses allow the fight to be present in the endpoint.

## **Required Headers**

| Key           | Value                                            |
| ------------- | ------------------------------------------------ |
| Accept        | application/vnd.imggaming.dde.api+json;version=1 |
| Content-Type  | application/json                                 |
| Authorization | Bearer eyvhaoudfgpdfgo\*                         |

## **Request Parameters**

This endpoint takes no parameters

## **Response Model:**

### **Fightcard Schedule Object**

| Field Name    | Type    | Description                                                                                                                                                                                                 |
| ------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| date          | date    | the date of the fight                                                                                                                                                                                       |
| startTime     | object  | an object containing “status” – the status of the start time, e.g. EstimatedStart, and “time”, the estimated start time, in local + UTC offset format                                                       |
| startTimeText | string  | text description of the start time. Note that the start time object contains detailed information about the start and is likely to be more useful than this field. Main values; Starts At, Follows Previous |
| fightOrder    | integer | The fight’s order on the card. Fight number 1 is the main event, 2 is the co-main event and so on, so that the first fight of the night has the highest number. The main event is always                    |
| fightSeq      | integer | The fight sequence on the overall fightcard. 1 if first, 2 if second, etc                                                                                                                                   |
| fightcardId   | integer | the ID of the fightcard in which the fight is in                                                                                                                                                            |
| fightId       | integer | the ID of the fight                                                                                                                                                                                         |
| fightType     | object  | contains information on the type of fight, how many possible rounds there could be                                                                                                                          |
| cardSegment   | string  | the segment of the card will be main                                                                                                                                                                        |
| redTeam       | object  | information on the red team                                                                                                                                                                                 |
| blueTeam      | object  | information on the blue team                                                                                                                                                                                |

### **Red/Blue Team Object**

| Field Name            | Type            | Description                                                                                            |
| --------------------- | --------------- | ------------------------------------------------------------------------------------------------------ |
| weighInWeight         | integer         | the weigh in weight, in lb, of the fighter. Will be null if unknown.                                   |
| reach                 | decimal         | the reach, in inches, of the fighter. Will be null if unknown.                                         |
| height                | integer         | the height, in inches, of the fighter. Will be null if unknown.                                        |
| stance                | string          | the stance of the fighter. Possible values; Orthodox, Southpaw, Switch, Open. Will be null if unknown. |
| country               | string          | country code of the fighter                                                                            |
| lastName              | string          | the last name of the fighter                                                                           |
| firstName             | string          | the first name of the fighter                                                                          |
| nickName              | string          | the nickname of the fighter                                                                            |
| age                   | integer         | the age of the fighter                                                                                 |
| dob                   | date            | the date of birth of the fighter                                                                       |
| born                  | string          | the city, state, country, country code of where the fighter was born                                   |
| fightsOutOf           | string          | the city, state, country, country code of where the fighter currently fights out of                    |
| fighterId             | Integer         | the ID of figher                                                                                       |
| rank                  | integer         | the current rank of the fighter within his weightclass                                                 |
| record                | object          | win/loss/draw/no contest record of the fighter                                                         |
| accolades             | string          | will be null unless a title holder. If not null, will explain what title the fighter holds.            |
| fightsOutOfCountyCode | string          | the city, state, country, country code of where the fighter currently fights out of                    |
| ufcFighterId          | integer or null | the UFC federation fighter id                                                                          |
| pflFighterId          | integer or null | the UFC federation fighter id                                                                          |

## Sample Response

```
[
    {
        "startTime": {
            "status": "NotKnown"
        },
        "startTimeText": "Follows Previous",
        "fightOrder": 1,
        "fightcardId": 2424,
        "date": "2025-07-05",
        "blueTeam": {
            "fighter1": {
                "reach": 70,
                "ufcFighterId": "2969",
                "fighterId": 213,
                "dob": "1992-03-21",
                "fightsOutOf": "Lemoore, California, USA",
                "pflFighterId": null,
                "height": 68,
                "age": 35,
                "weighInWeight": null,
                "lastName": "Lopez",
                "fightsOutOfCountyCode": null,
                "country": null,
                "stance": null,
                "firstName": "Julien",
                "nickName": "BOYKA",
                "born": null,
                "record": {
                    "draws": 1,
                    "losses": 5,
                    "noContests": 0,
                    "wins": 7
                }
            },
            "rank": null,
            "accolades": null
        },
        "cardSegment": null,
        "fightId": 11922,
        "fightType": {
            "description": "3 Rnd (5-5-5)",
            "possibleRounds": 3
        },
        "fightSeq": 36,
        "redTeam": {
            "fighter1": {
                "reach": 66,
                "ufcFighterId": "2969",
                "fighterId": 213,
                "dob": "1992-03-21",
                "fightsOutOf": "Lemoore, California, USA",
                "pflFighterId": null,
                "height": 68,
                "age": 26,
                "weighInWeight": null,
                "lastName": "Cieplowski",
                "fightsOutOfCountyCode": null,
                "country": null,
                "stance": null,
                "firstName": "Jan",
                "nickName": null,
                "born": null,
                "record": {
                    "draws": 0,
                    "losses": 0,
                    "noContests": 0,
                    "wins": 8
                }
            },
            "rank": null,
            "accolades": null
        }
    }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/pfl-media/schedule-endpoints-restful/live-events-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
